std::ios_base::failure Class Reference
Diagnostics » Exceptions

`#include <ios_base.h>`

Inheritance diagram for std::ios_base::failure:
[legend]

## Public Member Functions

| failure (const char *, const error_code &=io_errc::stream)
| failure (const string &, const error_code &)
| failure (const string &__str)
const error_code & | code () const noexcept
virtual const char * | what () const throw ()

## Detailed Description

These are thrown to indicate problems with io.

27.4.2.1.1 Class ios_base::failure

Definition at line 292 of file ios_base.h.

## Member Function Documentation

## code()

const error_code & std::system_error::code | ( |  | ) | const

inline noexcept inherited

Definition at line 592 of file system_error.

## what()

virtual const char * std::ios_base::failure::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::runtime_error.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- ios_base.h